Loading...
Searching...
No Matches
spa_filter_graph_methods Struct Reference
Filter Graph

`#include <spa/filter-graph/filter-graph.h>`

## Data Fields

uint32_t | version
int(* | add_listener )(void *object, struct spa_hook *listener, const struct spa_filter_graph_events *events, void *data)
int(* | enum_prop_info )(void *object, uint32_t idx, struct spa_pod_builder *b, struct spa_pod **param)
int(* | get_props )(void *object, struct spa_pod_builder *b, struct spa_pod **props)
int(* | set_props )(void *object, enum spa_direction direction, const struct spa_pod *props)
int(* | activate )(void *object, const struct spa_dict *props)
int(* | deactivate )(void *object)
int(* | reset )(void *object)
int(* | process )(void *object, const void *in[], void *out[], uint32_t n_samples)

## Field Documentation

## version

uint32_t spa_filter_graph_methods::version

## add_listener

int(* spa_filter_graph_methods::add_listener) (void *object, struct spa_hook *listener, const struct spa_filter_graph_events *events, void *data)

## enum_prop_info

int(* spa_filter_graph_methods::enum_prop_info) (void *object, uint32_t idx, struct spa_pod_builder *b, struct spa_pod **param)

## get_props

int(* spa_filter_graph_methods::get_props) (void *object, struct spa_pod_builder *b, struct spa_pod **props)

## set_props

int(* spa_filter_graph_methods::set_props) (void *object, enum spa_direction direction, const struct spa_pod *props)

## activate

int(* spa_filter_graph_methods::activate) (void *object, const struct spa_dict *props)

## deactivate

int(* spa_filter_graph_methods::deactivate) (void *object)

## reset

int(* spa_filter_graph_methods::reset) (void *object)

## process

int(* spa_filter_graph_methods::process) (void *object, const void *in[], void *out[], uint32_t n_samples)

The documentation for this struct was generated from the following file:

- spa/filter-graph/filter-graph.h